import { defineProperty as _defineProperty } from '../../_virtual/_rollupPluginBabelHelpers.mjs';
import { MetaplexError } from '../../errors/MetaplexError.mjs';

/** @group Errors */
class DerivedIdentityError extends MetaplexError {
  constructor(message, cause) {
    super(message, 'plugin', 'Derived Identity', cause);
    _defineProperty(this, "name", 'DerivedIdentityError');
  }
}

/** @group Errors */
class UninitializedDerivedIdentityError extends DerivedIdentityError {
  constructor() {
    const message = 'The derived identity module has not been initialized. ' + 'Before using the derived identity, you must provide a message that ' + 'will be used to derived a Keypair from the current identity. ' + 'You may do that by calling "metaplex.derivedIdentity().deriveFrom(message)".';
    super(message);
  }
}

export { DerivedIdentityError, UninitializedDerivedIdentityError };
//# sourceMappingURL=errors.mjs.map
