import { MetaplexError } from './MetaplexError';
/** @group Errors */
export declare class BundlrError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class FailedToInitializeBundlrError extends BundlrError {
    readonly name: string;
    constructor(cause: Error);
}
/** @group Errors */
export declare class FailedToConnectToBundlrAddressError extends BundlrError {
    readonly name: string;
    constructor(address: string, cause: Error);
}
/** @group Errors */
export declare class AssetUploadFailedError extends BundlrError {
    readonly name: string;
    constructor(status: number);
}
/** @group Errors */
export declare class BundlrWithdrawError extends BundlrError {
    readonly name: string;
    constructor(status: number);
}
