import { SendTransactionError, TransactionError } from '@solana/web3.js';
import { MetaplexError } from './MetaplexError';
import type { ConfirmTransactionResponse } from '../plugins/rpcModule';
/** @group Errors */
export declare class RpcError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class FailedToSendTransactionError extends RpcError {
    readonly name: string;
    constructor(cause: Error);
    asSendTransactionError(): SendTransactionError;
    get error(): string;
    get errorLogs(): string[];
}
/** @group Errors */
export declare class FailedToConfirmTransactionError extends RpcError {
    readonly name: string;
    constructor(cause: Error);
}
/** @group Errors */
export declare class FailedToConfirmTransactionWithResponseError extends FailedToConfirmTransactionError {
    readonly name: string;
    readonly response: ConfirmTransactionResponse;
    constructor(response: ConfirmTransactionResponse);
    get error(): TransactionError;
}
