import { MetaplexError } from '../../errors';
import { Amount } from '../../types';
/** @group Errors */
export declare class AuctionHouseError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class TreasuryDestinationOwnerRequiredError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class AuctioneerAuthorityRequiredError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class AuctioneerPartialSaleNotSupportedError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class BidAndListingHaveDifferentAuctionHousesError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class BidAndListingHaveDifferentMintsError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class CanceledBidIsNotAllowedError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class CanceledListingIsNotAllowedError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class CreateListingRequiresSignerError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class WithdrawFromBuyerAccountRequiresSignerError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class PartialPriceMismatchError extends AuctionHouseError {
    readonly name: string;
    constructor(expected: Amount, actual: Amount);
}
/** @group Errors */
export declare class FindAllSupportsOnlyThreeFiltersMaxError extends AuctionHouseError {
    readonly name: string;
    constructor();
}
