import { MetaplexError } from '../../errors';
/** @group Errors */
export declare class CandyMachineV3Error extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class UnregisteredCandyGuardError extends CandyMachineV3Error {
    readonly name: string;
    constructor(name: string);
}
/** @group Errors */
export declare class CandyMachineIsFullError extends CandyMachineV3Error {
    readonly name: string;
    constructor(index: number, itemsAvailable: number);
}
/** @group Errors */
export declare class CandyMachineCannotAddAmountError extends CandyMachineV3Error {
    readonly name: string;
    constructor(index: number, amount: number, itemsAvailable: number);
}
/** @group Errors */
export declare class CandyMachineItemTextTooLongError extends CandyMachineV3Error {
    readonly name: string;
    constructor(index: number, type: 'name' | 'uri', text: string, limit: number);
}
/** @group Errors */
export declare class CandyMachineBotTaxError extends CandyMachineV3Error {
    readonly name: string;
    constructor(explorerLink: string, cause: Error);
}
/** @group Errors */
export declare class GuardGroupRequiredError extends CandyMachineV3Error {
    readonly name: string;
    constructor(availableGroups: string[]);
}
/** @group Errors */
export declare class SelectedGuardGroupDoesNotExistError extends CandyMachineV3Error {
    readonly name: string;
    constructor(selectedGroup: string, availableGroups: string[]);
}
/** @group Errors */
export declare class GuardMintSettingsMissingError extends CandyMachineV3Error {
    readonly name: string;
    constructor(guardName: string);
}
/** @group Errors */
export declare class GuardRouteNotSupportedError extends CandyMachineV3Error {
    readonly name: string;
    constructor(guardName: string);
}
/** @group Errors */
export declare class CandyGuardRequiredOnCandyMachineError extends CandyMachineV3Error {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class GuardNotEnabledError extends CandyMachineV3Error {
    readonly name: string;
    constructor(guard: string, group: string | null);
}
/** @group Errors */
export declare class GuardGroupLabelTooLongError extends CandyMachineV3Error {
    readonly name: string;
    constructor(label: string, maxLength: number);
}
/** @group Errors */
export declare class UnrecognizePathForRouteInstructionError extends CandyMachineV3Error {
    readonly name: string;
    constructor(guard: string, path: string);
}
/** @group Errors */
export declare class MintOwnerMustBeMintPayerError extends CandyMachineV3Error {
    readonly name: string;
    constructor(guard: string);
}
/** @group Errors */
export declare class MaximumOfFiveAdditionalProgramsError extends CandyMachineV3Error {
    readonly name: string;
    constructor();
}
