import { CandyMachineV2Item, CandyMachineV2EndSettings } from './models';
import { MetaplexError } from '../../errors';
import { BigNumber, DateTime } from '../../types';
import { Option } from '../../utils';
/** @group Errors */
export declare class CandyMachineV2Error extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class CandyMachineV2IsFullError extends CandyMachineV2Error {
    readonly name: string;
    constructor(assetIndex: BigNumber, itemsAvailable: BigNumber);
}
/** @group Errors */
export declare class CandyMachineV2IsEmptyError extends CandyMachineV2Error {
    readonly name: string;
    constructor(itemsAvailable: BigNumber);
}
/** @group Errors */
export declare class CandyMachineV2CannotAddAmountError extends CandyMachineV2Error {
    readonly name: string;
    constructor(index: BigNumber, amount: number, itemsAvailable: BigNumber);
}
/** @group Errors */
export declare class CandyMachineV2AddItemConstraintsViolatedError extends CandyMachineV2Error {
    readonly name: string;
    constructor(index: BigNumber, item: CandyMachineV2Item, cause: Error);
}
/** @group Errors */
export declare class CandyMachineV2NotLiveError extends CandyMachineV2Error {
    readonly name: string;
    constructor(goLiveDate: Option<DateTime>);
}
/** @group Errors */
export declare class CandyMachineV2EndedError extends CandyMachineV2Error {
    readonly name: string;
    constructor(endSetting: CandyMachineV2EndSettings);
}
/** @group Errors */
export declare class CandyMachineV2BotTaxError extends CandyMachineV2Error {
    readonly name: string;
    constructor(explorerLink: string, cause: Error);
}
