import { DelegateArgs, TokenDelegateRole, MetadataDelegateRole } from '@metaplex-foundation/mpl-token-metadata';
export type TokenDelegateType = 'StandardV1' | 'TransferV1' | 'LockedTransferV1' | 'SaleV1' | 'UtilityV1' | 'StakingV1';
export type MetadataDelegateType = 'CollectionV1' | 'UpdateV1' | 'ProgrammableConfigV1';
export declare const getTokenDelegateRole: (type: TokenDelegateType) => TokenDelegateRole;
export declare const getMetadataDelegateRole: (type: MetadataDelegateType) => MetadataDelegateRole;
export declare const getMetadataDelegateRoleSeed: (type: MetadataDelegateType) => string;
export declare const getDefaultDelegateArgs: (type: TokenDelegateType | MetadataDelegateType) => Omit<DelegateArgs, 'authorizationData'>;
