import { PublicKey } from '@solana/web3.js';
import { MetadataDelegateType, TokenDelegateType } from './DelegateType';
import { MetaplexError } from '../../errors';
/** @group Errors */
export declare class NftError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class ParentCollectionMissingError extends NftError {
    readonly name: string;
    constructor(mint: PublicKey, operation: string);
}
/** @group Errors */
export declare class DelegateRoleRequiredDataError extends NftError {
    readonly name: string;
    constructor(type: MetadataDelegateType | TokenDelegateType);
}
