import { PublicKey } from '@solana/web3.js';
import { MetaplexError } from '../../errors';
/** @group Errors */
export declare class TokenError extends MetaplexError {
    readonly name: string;
    constructor(message: string, cause?: Error);
}
/** @group Errors */
export declare class MintAuthorityMustBeSignerToMintInitialSupplyError extends TokenError {
    readonly name: string;
    constructor();
}
/** @group Errors */
export declare class TokenAndMintDoNotMatchError extends TokenError {
    constructor(token: PublicKey, tokenMint: PublicKey, mint: PublicKey);
}
