import BN from 'bn.js';
import { BigNumberValues } from './BigNumber';
import { Opaque, Option } from '../utils';
export type DateTimeString = string;
export type DateTimeValues = DateTimeString | BigNumberValues | Date;
export type DateTime = Opaque<BN, 'DateTime'>;
export declare const toDateTime: (value: DateTimeValues) => DateTime;
export declare const now: () => DateTime;
export declare const toOptionDateTime: (value: Option<DateTimeValues>) => Option<DateTime>;
export declare const isDateTime: (value: any) => value is DateTime;
export declare function assertDateTime(value: any): asserts value is DateTime;
export declare const formatDateTime: (value: DateTime, locales?: Intl.LocalesArgument, options?: Intl.DateTimeFormatOptions) => string;
